import { FormSchema, BasicColumn, FormProps } from '@/components/Table';

export const formSchema: FormSchema[] = [
  {
    field: 'projectName',
    label: '项目名称',
    labelWidth: '140px',
    // required: true,
    component: 'Input',
    // required: true,
    componentProps: {},
  },
  {
    field: 'constructionSite',
    label: '建设地点',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'constructionMode',
    label: '建设模式',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'projectType',
    label: '项目类型',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'constructionScale',
    label: '建设规模',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'projectOverview',
    label: '项目概况',
    labelWidth: '140px',
    component: 'Input',
  },

  {
    field: 'fundingSource',
    label: '资金来源',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'implementingEntity',
    label: '实施主体',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'filingCycle',
    label: '填报年度',
    labelWidth: '140px',
    component: 'Input',
  },

  {
    field: 'totalInvestment',
    label: '合同总额',
    labelWidth: '140px',
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    field: 'totalInvestment',
    label: '合同方式',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'attribute',
    label: '建设性质',
    labelWidth: '140px',
    component: 'Select',
    componentProps: {
      options: [
        { label: '新建', value: '0' },
        { label: '结转', value: '1' },
        { label: '缓建', value: '2' },
      ],
      disabled: true,
    },
  },
  {
    field: 'beginTime',
    label: '开工时间',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'endTime',
    label: '竣工时间',
    labelWidth: '140px',
    component: 'Input',
  },
  {
    field: 'completionSchedule',
    label: ' 2024年底形象进度',
    labelWidth: '140px',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: 'A(已经立项实施的跨年工程)',
          value: 'A(已经立项实施的跨年工程)',
        },
        {
          label: 'B(该年度必须建设的项目)',
          value: 'B(该年度必须建设的项目)',
        },
        {
          label: 'C(可缓建项目)',
          value: 'C(可缓建项目)',
        },
      ],
    },
  },
  {
    field: 'outputValue',
    label: ' 2024年之前完成总产值(不含2024年)',
    labelWidth: '140px',
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    field: 'planNum',
    label: '2024年计划产值',
    labelWidth: '140px',
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    field: 'actualOutputValue',
    label: ' 2024年实际产值',
    labelWidth: '140px',
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    field: 'planFunds',
    label: ' 2024年计划资金',
    labelWidth: '140px',
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    field: 'actualPay',
    label: ' 2024年实付资金',
    labelWidth: '140px',
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '备注',
    field: 'completionRemarks',
    labelWidth: '140px',
    component: 'InputTextArea',
    componentProps: {
      maxlength: 100,
      showCount: true,
    },
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'projecName',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '输入搜索关键词',
    },
    colProps: { span: 4 },
  },
  {
    field: 'constructionMode',
    component: 'RadioButtonGroup',
    colProps: {
      span: 6,
    },
    componentProps: {
      options: [
        {
          label: '全部项目',
          value: undefined,
        },
        {
          label: '自建',
          value: '自建',
        },
        {
          label: '委托建设',
          value: '委托建设',
        },
        {
          label: '代建',
          value: '代建',
        },
        {
          label: '承建',
          value: '承建',
        },
      ],
    },
  },
  {
    field: 'isReserveProject',
    component: 'Checkbox',
    colProps: {
      span: 2,
    },
    renderComponentContent: '储备项目',
  },
  {
    field: 'ImplementingEntity',
    label: '',
    component: 'Select',
    componentProps: {
      placeholder: '实施主体',
      options: [
        {
          label: '了解产品',
          value: '了解产品',
          key: '了解产品',
        },
        {
          label: '正在跟进',
          value: '正在跟进',
          key: '正在跟进',
        },
        {
          label: '正在试用',
          value: '正在试用',
          key: '正在试用',
        },
        {
          label: '准备购买',
          value: '准备购买',
          key: '准备购买',
        },
        {
          label: '准备付款',
          value: '准备付款',
          key: '准备付款',
        },
        {
          label: '已经购买',
          value: '已经购买',
          key: '已经购买',
        },
        {
          label: '暂时闲置',
          value: '暂时闲置',
          key: '暂时闲置',
        },
      ],
    },
    colProps: { span: 3 },
  },
  {
    field: 'projectType',
    label: '',
    component: 'Select',
    componentProps: {
      placeholder: '项目类型',
      options: [
        {
          label: '公共设施配套类',
          value: '公共设施配套类',
          key: '公共设施配套类',
        },
        {
          label: '基础设施类',
          value: '基础设施类',
          key: '基础设施类',
        },
        {
          label: '产业载体类',
          value: '产业载体类',
          key: '产业载体类',
        },
        {
          label: '房地产类',
          value: '房地产类',
          key: '房地产类',
        },
        {
          label: '存量盘活类',
          value: '存量盘活类',
          key: '存量盘活类',
        },
        {
          label: '其他类（零星工程)',
          value: '其他类（零星工程)',
          key: '其他类（零星工程)',
        },
      ],
    },
    colProps: { span: 3 },
  },
];

export const columns: BasicColumn[] = [
  {
    title: '基本信息',
    dataIndex: 'projectName',
    width: 180,
  },
  {
    title: '实施主体',
    dataIndex: 'implementingEntity',
    width: 180,
  },
  {
    title: '建设模式',
    dataIndex: 'constructionMode',
    width: 200,
  },
  {
    title: '建设地点',
    dataIndex: 'constructionSite',
    width: 180,
  },
  {
    title: '项目类型',
    dataIndex: 'projectType',
    width: 180,
  },
  {
    title: '资金来源',
    dataIndex: 'fundingSource',
    width: 180,
  },
  {
    title: '建设目的及项目功能',
    dataIndex: 'constructionPurpose',
    width: 180,
  },
  {
    title: '建设规模',
    dataIndex: 'constructionScale',
    width: 180,
  },
];
export const tabList = [
  {
    key: '1',
    tab: '投资计划',
    component: 'InvestmentPlan',
  },
  {
    key: '2',
    tab: '计划完成情况',
    component: 'performance',
  },
  {
    key: '3',
    tab: '年度资金计划',
    component: 'annualPlan',
  },
  {
    key: '4',
    tab: '月度资金计划',
    component: 'monthlyPlan',
  },
  {
    key: '5',
    tab: '已竣工验收项目陈欠资金计划',
    component: 'completed',
  },
  {
    key: '6',
    tab: '招标计划',
    component: 'biddingPlan',
  },
  {
    key: '7',
    tab: '招标管理',
    component: 'biddingManagement',
  },
  {
    key: '8',
    tab: '结算管理',
    component: 'settlementManagement',
  },
  {
    key: '9',
    tab: '变更签证管理',
    component: 'changeSignature',
  },
  {
    key: '10',
    tab: '安全隐患管理',
    component: 'potentialSafety',
  },
  {
    key: '11',
    tab: '安全教育培训',
    component: 'safetyEducation',
  },
  {
    key: '12',
    tab: '合同管理',
    component: 'contract',
  },
  {
    key: '13',
    tab: '附件记录',
    component: 'annex',
  },
  {
    key: '14',
    tab: '更新记录',
    component: 'updateRecords',
  },
];

//完成计划情况-查询条件
export function getFormConfig(): Partial<FormProps> {
  return {
    labelWidth: 100,
    schemas: [
      {
        field: 'filingCycle',
        label: '填报周期',
        component: 'DatePicker',
        componentProps: {
          placeholder: '选择填报周期',
          picker: 'year',
          valueFormat: 'YYYY',
          format: 'YYYY',
          style: {
            width: '100%',
          },
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '项目名称',
        field: 'projectName',
        labelWidth: '140px',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '建设地点',
        field: 'constructionSite',
        labelWidth: '140px',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '项目概况',
        field: 'projectOverview',
        labelWidth: '140px',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '建设规模',
        field: 'constructionScale',
        labelWidth: '140px',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '建设目的及项目功能',
        field: 'constructionPurpose',
        labelWidth: '140px',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '建设模式',
        field: 'constructionMode',
        labelWidth: '140px',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '全部项目',
              value: undefined,
            },
            {
              label: '自建',
              value: '自建',
            },
            {
              label: '委托建设',
              value: '委托建设',
            },
            {
              label: '代建',
              value: '代建',
            },
            {
              label: '承建',
              value: '承建',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '资金来源',
        field: 'fundingSource',
        labelWidth: '140px',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '自筹',
              value: '自筹',
              key: '自筹',
            },
            {
              label: '财政资金',
              value: '财政资金',
              key: '财政资金',
            },
            {
              label: '专项债',
              value: '专项债',
              key: '专项债',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '项目类型',
        field: 'projectType',
        labelWidth: '140px',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '公共设施配套类',
              value: '公共设施配套类',
              key: '公共设施配套类',
            },
            {
              label: '基础设施类',
              value: '基础设施类',
              key: '基础设施类',
            },
            {
              label: '产业载体类',
              value: '产业载体类',
              key: '产业载体类',
            },
            {
              label: '房地产类',
              value: '房地产类',
              key: '房地产类',
            },
            {
              label: '存量盘活类',
              value: '存量盘活类',
              key: '存量盘活类',
            },
            {
              label: '其他类（零星工程)',
              value: '其他类（零星工程)',
              key: '其他类（零星工程)',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '总投资',
        field: 'totalInvestment',
        labelWidth: '140px',
        component: 'InputNumber',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '该年计划资金',
        field: 'planFunds',
        labelWidth: '140px',
        component: 'InputNumber',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '建设性质',
        field: 'attribute',
        labelWidth: '140px',
        component: 'Select',
        componentProps: {
          options: [
            { label: '新建', value: '0' },
            { label: '结转', value: '1' },
            { label: '缓建', value: '2' },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '开工时间',
        field: 'beginTime',
        labelWidth: '140px',
        component: 'DatePicker',
        componentProps: {
          picker: 'date',
          valueFormat: 'YYYY-MM-DD',
          format: 'YYYY-MM-DD',
          style: {
            width: '100%',
          },
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '竣工时间',
        field: 'endTime',
        labelWidth: '140px',
        component: 'DatePicker',
        componentProps: {
          picker: 'date',
          valueFormat: 'YYYY-MM-DD',
          format: 'YYYY-MM-DD',
          style: {
            width: '100%',
          },
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '该年底形象进度',
        field: 'completionSchedule',
        labelWidth: '140px',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: 'A(已经立项实施的跨年工程)',
              value: 'A(已经立项实施的跨年工程)',
            },
            {
              label: 'B(该年度必须建设的项目)',
              value: 'B(该年度必须建设的项目)',
            },
            {
              label: 'C(可缓建项目)',
              value: 'C(可缓建项目)',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '实施主体',
        field: 'implementingEntity',
        labelWidth: '140px',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '了解产品',
              value: '了解产品',
              key: '了解产品',
            },
            {
              label: '正在跟进',
              value: '正在跟进',
              key: '正在跟进',
            },
            {
              label: '正在试用',
              value: '正在试用',
              key: '正在试用',
            },
            {
              label: '准备购买',
              value: '准备购买',
              key: '准备购买',
            },
            {
              label: '准备付款',
              value: '准备付款',
              key: '准备付款',
            },
            {
              label: '已经购买',
              value: '已经购买',
              key: '已经购买',
            },
            {
              label: '暂时闲置',
              value: '暂时闲置',
              key: '暂时闲置',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '项目主管部门',
        field: 'competentDepartment',
        labelWidth: '140px',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '备注',
        field: 'completionRemarks',
        labelWidth: '140px',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
    ],
  };
}
